#!/bin/bash -v

#unpack soap

cd comms/soap
tar xzf soap-bin-2.2.tar.gz
ln -s soap-2_2 soap
cd $GSDL3HOME

#add the soap context to tomcat config file
cat comms/tomcat/jakarta/conf/server.xml | sed "s,<\!-- Tomcat Root Context -->,<\!-- SOAP Service --><Context path=\"/soap\" docBase=\"$GSDL3HOME/comms/soap/soap/webapps/soap\" debug=\"1\" reloadable=\"true\"/><\!-- Tomcat Root Context -->," > server.xml
mv comms/tomcat/jakarta/conf/server.xml comms/tomcat/jakarta/conf/server.bak.xml 
mv server.xml comms/tomcat/jakarta/conf/server.xml

#edit the SOAPServer class
cat src/java/org/greenstone/gsdl3/SOAPServer.java | sed "s&@gsdl3home@&$GSDL3HOME&" > SOAPServer.java
mv src/java/org/greenstone/gsdl3/SOAPServer.java src/java/org/greenstone/gsdl3/SOAPServer.java.bak
mv SOAPServer.java src/java/org/greenstone/gsdl3/SOAPServer.java

# now remake the class
cd src/java/org/greenstone/gsdl3
make
make install
cd $GSDL3HOME

#deploy the service
comms/tomcat/jakarta/bin/shutdown.sh
comms/tomcat/jakarta/bin/startup.sh

# IMPORTANT!!!!!!!!!!!!!!
# the following command is supposed to deploy the service but it doesn't 
# work inside bash, so you need to cut and paste it onto the command line 
# and retry it.
java org.apache.soap.server.ServiceManagerClient http://localhost:8080/soap/servlet/rpcrouter deploy resources/soap/localsite.xml

